%define upstream_name    File-Flock-Retry
%define upstream_version 0.632

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Yet another flock module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Slurper)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.230.700
BuildRequires: perl(File::chdir)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is yet another flock module. It is a more lightweight alternative to
the File::Flock manpage with some other differences:

* * OO interface only

* * Autoretry (by default for 60s) when trying to acquire lock

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.632.0-3.mga10
+ Revision: 2207272
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.632.0-2.mga9
+ Revision: 1814854
- Mageia 9 Mass Rebuild

* Mon Aug 16 2021 tv <tv> 0.632.0-1.mga9
+ Revision: 1741593
- update to 0.632

* Sat Feb 15 2020 umeabot <umeabot> 0.631.0-2.mga8
+ Revision: 1523838
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Mar 13 2019 tv <tv> 0.631.0-1.mga7
+ Revision: 1375197
- update to 0.631

* Thu Sep 20 2018 umeabot <umeabot> 0.620.0-3.mga7
+ Revision: 1283670
- Mageia 7 Mass Rebuild

* Mon Jul 31 2017 guillomovitch <guillomovitch> 0.620.0-2.mga7
+ Revision: 1133167
- new version 0.62
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Dec 12 2015 guillomovitch <guillomovitch> 0.610.0-1.mga6
+ Revision: 909669
- imported package perl-File-Flock-Retry


* Sat Dec 12 2015 cpan2dist 0.61-1mga
- initial mageia release, generated with cpan2dist
